Loading...
Searching...
No Matches
vec.h

vec - distributed vector More...

Go to the source code of this file.

## Classes

class | vec< T, M >
| see the vec page for the full documentation More...

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

template<class T>
idiststream & | operator>> (idiststream &ips, vec< T, sequential > &x)
template<class T, class M>
odiststream & | operator<< (odiststream &ods, const vec< T, M > &x)
template<class T>
idiststream & | operator>> (idiststream &ips, vec< T, distributed > &x)
template<class T, class M>
T | norm2 (const vec< T, M > &x)
| norm2(x): see the expression page for the full documentation
template<class T, class M>
T | norm (const vec< T, M > &x)
| norm(x): see the expression page for the full documentation

## Detailed Description

vec - distributed vector

Definition in file vec.h.